メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
alerts
/
files
/
mute
Mute public file alerts
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/files/mute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fileIds": [
    "file-id-1",
    "file-id-2"
  ],
  "until": "2024-12-31T23:59:59.000Z"
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/files/mute"

payload = {
"fileIds": ["file-id-1", "file-id-2"],
"until": "2024-12-31T23:59:59.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileIds: ['file-id-1', 'file-id-2'], until: '2024-12-31T23:59:59.000Z'})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/files/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
fileIds
string[]
必須

File IDs to mute public file alerts for

:
["file-id-1", "file-id-2"]
until
string

Optional: Timestamp until when the alert should be muted (ISO 8601 format). If not provided, mutes indefinitely.

:

"2024-12-31T23:59:59.000Z"

レスポンス

Successfully muted file alerts

The response is of type object.

最終更新日 2026年7月10日